Skip to main content
Create IAM user
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json

User meta data

username
string
required

User defined name

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
roleId
string
required

Role associated with the user

Pattern: [0-9A-Za-z_=-]{28}
email
string
required

Email of the user

SfdcId
string
HubspotId
string
firstName
string

First name of the user

locale
string

Locale of the user

fullName
string

Full name of the user

timeZone
string

Preferred time zone of the user

type
enum<string>
default:AUTH_TYPE_UNSPECIFIED

Type of the user

Available options:
AUTH_TYPE_UNSPECIFIED,
AUTH_TYPE_LOCAL,
AUTH_TYPE_OAUTH,
AUTH_TYPE_SAML
phone
string

Phone number of the user

notifyPref
string

Notification preference of the user

LastLoginTime
string<date-time>

Last login time of the user

LastLogoutTime
string<date-time>

Last logout time of the user

customUserInput
object

Custom user parameters

allowedEnterprises
object[]

Permitted list of enterprises with their associated roles

allowedEntpProjectList
internal · object

Allowed enterprise project

zksSyncStatus
object

ZKS Servers Sync Status

tokenZksSyncStatus
object

User session token sync status

passwordExpiryNotificationPeriodInSeconds
integer<int64>

Password expiry notification period in seconds

Response

A successful response.

token
Base64 encoded opaque token · object
action
enum<string>
default:CrudAction__INVALID__
Available options:
CrudAction__INVALID__,
CrudActionNotApplicable,
CrudActionCreate,
CrudActionRead,
CrudActionUpdate,
CrudActionDelete,
CrudActionQuery,
CrudActionQueryNext,
CrudActionReadSelf,
CrudActionUpdateSelf
result
object
read
object
query
object